Bug 1216900 - Long filename support for Windows VM payload
Summary: Long filename support for Windows VM payload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.3
Assignee: Eldan Shachar
QA Contact: Israel Pinto
URL:
Whiteboard: virt
Depends On: 1205058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-29 07:19 UTC by rhev-integ
Modified: 2019-08-15 04:32 UTC (History)
11 users (show)

Fixed In Version: vdsm-4.16.16-1.el6ev
Doc Type: Bug Fix
Doc Text:
Cause: Payload ISO's were generated without the Joliet extension. Consequence: Payloads with long filenames weren't displayed correctly on windows systems. Fix: Payloads are now generated along with the Joliet extension. Result: Payloads with long filenames are now displayed correctly on both windows and linux systems.
Clone Of: 1205058
Environment:
Last Closed: 2015-06-15 13:19:11 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1103 normal SHIPPED_LIVE vdsm 3.5.3 - bug fix and enhancement update 2015-06-15 17:18:53 UTC
oVirt gerrit 39898 ovirt-3.5 ABANDONED vm payload: Add Joliet FS support Never
oVirt gerrit 39900 master MERGED vm payload: Add Joliet FS support Never
oVirt gerrit 40534 ovirt-3.5 MERGED vm payload: Add Joliet FS support Never

Comment 2 Ilanit Stein 2015-04-29 12:09:54 UTC
Can be verified via REST api, by testing first VM CD payload, with filename longer than 15 chars, on version prior to this bug fix, see that it fails.
Then check the same with this bug fix, and see it is indeed supported. 

Added qe_test_coverage flag:
Need to add this test case to VM payload testing.

Comment 7 Israel Pinto 2015-05-17 15:09:19 UTC
Verify with:
RHEVM version: 3.5.3 -vt15
VDSM Version: vdsm-4.16.16-1.el6ev

Steps:
1. Create 2 VM: Windows7 and RHEL-7.1
2. Add payload via rest with the long file name (more then 15 chars) to each VM like: ABcdefg_xyz_ooo_1234.txt
3. Check payload on VM.

On both OS the file name is as configure.

Comment 9 errata-xmlrpc 2015-06-15 13:19:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1103.html


Note You need to log in before you can comment on or make changes to this bug.